Bug 178475 - Find usage does not work for assignment value in function
Find usage does not work for assignment value in function
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-11 04:06 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 05:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-11 04:06:11 UTC
NetBeans-JavaFX-Soma:  #62


  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200) (#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


See issue: 174811 

- Find usage for the 'a' variable in 'f' function:
------------------------------------------------------
class A {
}

function f() {
    var a = A {};
    var b = a;
}
------------------------------------------------------

0 occurences
Comment 1 J Bachorik 2009-12-11 05:04:27 UTC
Changeset: d3260e044d6f
Author:    Jaroslav Bachorik <yardus@netbeans.org>
Date:      2009-12-11 13:04
Message:   Do not try to use ClassIndex on local variables
Issue #178475 - Find usage does not work for assignment value in function
Comment 2 Alexandr Scherbatiy 2009-12-18 04:21:47 UTC
verified in NetBeans-JavaFX-Soma: #69
Comment 3 rbalada 2010-01-21 02:35:19 UTC
The fix has been ported to release68_fixes branch 
http://hg.netbeans.org/javafx/rev/f06a9cdcf378
Comment 4 Alexandr Scherbatiy 2010-01-26 05:14:02 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo